#!/usr/bin/env python3

import random 

from helpers import get_client_cert,show_redirect
from db import *
from urllib import parse

TLS_CLIENT_HASH = get_client_cert(False)
user_id = check_hash(TLS_CLIENT_HASH)
user_name = get_name(user_id) or "[Not Set]"

url = os.getenv("GEMINI_URL")
game_id=parse.parse_qs(parse.urlparse(url).query)['game_id'][0]

set_current_game(user_id,game_id)

show_redirect("game.cgi")
