#!/usr/bin/env python3

import random 

from helpers import get_client_cert
from db import *

TLS_CLIENT_HASH = get_client_cert()
user_id = check_hash(TLS_CLIENT_HASH)
user_name = get_name(user_id) or "[Not Set]"
game_id = get_game_id(user_id)

print("# Lobby")

print("username:",user_name)
print("score:",get_score(user_id))
print()



if game_id:
  print("=> game.cgi back to game")

print("=> rank.cgi ranking")
print("=> login.cgi login")
print("=> new_game.cgi new game")

print()

conn=create_connection()
with conn:
  cur = conn.cursor()
  cur.execute("SELECT * FROM games ORDER BY stime DESC")
  rows = cur.fetchall()
  for row in rows:
    print("=> choose.cgi?game_id="
      +str(row[0])+" Game "
      +str(row[0]),end="\r\n")
